installation-guide (20191229+rebuild1) unstable; urgency=medium

  * Re-upload to get built on buildd, no source change. Closes: #953783

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Mar 2020 00:25:15 +0100

installation-guide (20191229) unstable; urgency=medium

  [ Guilhem Moulin ]
  * Add link to a guide/document for encrypted /boot. Closes: #927165

  [ Holger Wansing ]
  * Remove 'outdated translation' warning for Greek, is now fully translated.
  * Convert Czech translation from xml to po format.
  * Use <quote> </quote> tags for quotes. Closes: #929752
  * Updating chapter for choosing a network mirror. Closes: #913389
  * Updating chapter about setting up the e-mail system (exim4 is no longer
    installed by default). Closes: #930476
  * Update for 'Recommended partitioning scheme' chapter. Closes: #927987
  * Rename mdcfg into partman-md and lvmcfg into partman-lvm. Closes: #414194
  * Remove mentions of floppy. Thanks to Miguel Figueiredo for the patch.
    Closes: #935069
  * Change CD/DVD etc. into 'installation media' or 'installation image' as
    cover-term, where applicable. Closes: #794936
  * Bump release name to bullseye.
  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * Update sources.list lines for security updates according to new notation.

  [ Moritz Muehlenhoff ]
  * Update doc for apt-setup/localX/key preseeding config. Closes: #932284

  [ Samuel Thibault ]
  * Fix shortcut for high-contrast boot menu entry.
  * Bump minimum memory values: graphical installation needs 1GiB, and only
    the non-graphical installer can meet the no-desktop values.
  * rules: Use dh_prep instead of dh_clean -k.

  [ Updated translations ]
  * French by Baptiste Jammet
  * German by Holger Wansing
  * Greek by Emmanuel Galatoulas
  * Italian by Luca Monducci
  * Korean by Changwoo Ryu
  * Norwegian Bokmål by Allan Nordhøy
  * Portuguese by Miguel Figueiredo
  * Swedish by Mattias Münster
  * Spanish by Javier Fernandez-Sanguino Peña and Robert Schneider
  * Dutch by Frans Spiesschaert

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2019 22:14:34 +0100

installation-guide (20190622) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Improve Korean pdf

  [ Samuel Thibault ]
  * Update numbers.
  * Update dark theme shortcut.
  * Update minimum memory figures.

  [ Baptiste BEAUPLAT ]
  * Document new partman-auto-lvm/guide_size option in preseed. Closes: #930846

  [ Holger Wansing ]
  * Add 'outdated translation' warning for Czech.

  [ Updated translations ]
  * Greek by Emmanuel Galatoulas
  * Japanese by Hideki Yamane
  * Korean by Changwoo Ryu

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Jun 2019 19:49:29 +0200

installation-guide (20190323) unstable; urgency=medium

  [ Holger Wansing ]
  * Add chapter "What is the Debian Installer?" by Miguel Figueiredo; thanks
    for the patch. Closes: #606287
  * Slight update for network configuration in 'Installing Debian GNU/Linux
    from a Unix/Linux System' chapter. Closes: #911020
  * Some changings/removal of 'FTP' occurrences due to Debians FTP server
    shutdown.
  * Add missing installation step in chapter 3.1 (install overview).
  * Minor clarification on the reliability of the Debian Installer system.
  * Update/switch URL entities from http to https.
  * Add additional info for net booting on UEFI machines. Patch by Vincent
    McIntyre, thanks. Closes: #907837
  * Convert win32-loader.exe string into a clickable link.
  * Remove 'Laptop' entry from table 'Disk Space Needed for Tasks' (there
    is no such task option in the installer anymore).
  * Rename a forgotten occurrence of 'aptitude' into 'apt'.
  * Remove a sentence which describes the old tasksel behaviour calling
    aptitude to allow selection of individual packages.
  * Correct order of modules in 'Using the installer' chapter: clock setup
    is after user account setup, not before.
  * Add debian/source/format file, to fix lintian warning.
  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * Document dark menu entry.

  [ Samuel Thibault ]
  * control: Mark packages as multi-arch: foreign.
  * Document the soundcard selection prompt.

  [ Updated translations ]
  * Danish by Joe Hansen
  * Dutch by Frans Spiesschaert
  * French by Baptiste Jammet
  * German by Holger Wansing
  * Italian by Luca Monducci
  * Portuguese by Miguel Figueiredo
  * Russian by Yuri Kozlov

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Mar 2019 10:43:07 +0100

installation-guide (20180923) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Fix release name.

  [ Holger Wansing ]
  * Update remaining Alioth references to dillon. Closes: #898665
  * Overhaul of 'Baking your own kernel' chapter. Closes: #784206
  * Creating bootable usb devices: link to Debian CD FAQ, on how to achieve
    this on other OS'es. Closes: #863868
  * Remove references to non-US (no longer existing for ages). Closes: #759428
  * Document how to install additional packages afterwards. Closes: #615646
  * Improve/update documentation regarding booting from USB storage.
    Closes: #756859
  * Add a warning about the use of LVM partition types. Closes: #776313
  * Reorganize chapter about "Further reading" and merge with "New to Unix"
    chapter. Closes: #864037
  * Update of "What is Debian" chapter. Closes: #864039

  [ Frans Spiesschaert ]
  * Dutch translation update

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Sep 2018 22:23:34 +0200

installation-guide (20180603) unstable; urgency=medium

  [ Samuel Thibault ]
  * Reverse extensions of html files for the website: .html.$lang ->
    .$lang.html
  * Bump release name to buster.
  * control: Bump Standards-Version to 4.1.4 (no change).
  * Document that the boot menu is using the QWERTY keyboard layout.
  * Use https anonscm URL
  * Fix URL for development version.
  * source/options: Ignore .git directory when building tarball.
  * Update some docs to git workflow.

  [ Holger Wansing ]
  * Update Linux Foundation's URL for FHS. Closes: #865981
  * Rephrase sentence to ensure it will be completely converted into po
    format. Closes: #344693
  * Globally use S/390 instead of s390 for consistency. Closes: #366380.
  * Document 255 characters limit for kernel command line. Closes: #397592.
  * Document the installation of sudo, if no root password is given.
    Closes: #692314
  * Icedove was de-branded to Thunderbird (see #816679): related changings.
  * Fix typo in supported ARM devices section. Closes: #869932
  * Remove support for 'ps' output format, therefore remove depends openjade,
    jadetex, ko.tex-base and cm-super as well. Closes: #871751
  * Set forgotten conditions 'bootable-usb' and 'isohybrid-supported' for
    arm64.
  * Remove chapter 'Booting from USB with U-Boot' for armel, is not supported
    there. Closes: #864848
  * Remove "Checked/not checked for <arch>" warnings except for hurd and
    kfreebsd variants. Closes: #868357
  * Fix "ID xxx-yyy already defined" validation errors by making IDs unique
    for the whole manual. Closes: #880210
  * control: Update Vcs fields on migration from Alioth to Salsa.
  * Update files in /doc on git migration.

  [ Martin Michlmayr ]
  * Remove QNAP TS-109, TS-209 and TS-409 as they are no longer supported.

  [ Raphaël Hertzog ]
  * Document the new iso-scan/copy_iso_to_ram feature (see #868900).

  [ Cyril Brulebois ]
  * Fix FTBFS with TeX Live 2018, thanks to Hilmar Preuße (po/ja/).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 Jun 2018 22:41:32 +0200

installation-guide (20170614) unstable; urgency=medium

  [ Holger Wansing ]
  * Updated translation for Chinese (simplified), by Yangfl
    <mmyangfl@gmail.com>.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Jun 2017 10:53:14 +0200

installation-guide (20170607) unstable; urgency=medium

  [ Holger Wansing ]
  * Update documentation on device nodes for CD-ROM drives. Closes: #864038
  * Set condition 'unofficial' for 'What is Debian GNU/kFreeBSD' chapter.
    Closes: #864040

 -- Samuel Thibault <sthibault@debian.org>  Wed, 07 Jun 2017 23:05:12 +0200

installation-guide (20170525) unstable; urgency=medium

  [ Holger Wansing ]
  * Some '>' changed into '&gt;' within <informalexample> tags, to get
    them correctly processed.
  * Add missing CSS style for <tip> tag. Closes: #860180

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 May 2017 12:26:18 +0200

installation-guide (20170419) unstable; urgency=medium

  [ Samuel Thibault ]
  * Re-enable Dutch translation.  Thanks a lot to Frans Spiesschaert!
  * Document shortcuts for expert, rescue, and automated installation with
    accessibility.
  * Update distrib name about the absence of graphical installer on arm64.
  * Drop the note about USB not being supported on Mustang, that was fixed.

  [ Geert Stappers ]
  * Add header to preseed file. Closes: #859438

  [ Holger Wansing ]
  * Set TMPDIR variable, to get dblatex debugging files removed after pdf
    build. Closes: #859150

 -- Samuel Thibault <sthibault@debian.org>  Wed, 19 Apr 2017 00:38:24 +0200

installation-guide (20170312) unstable; urgency=medium

  [ Holger Wansing ]
  * Catalan translation converted to po format and updated/completed.
    Many thanks to Innocent De Marchi!
  * Add a warning to be displayed in outdated translations.  Closes: #783351
  * Some mips related cleanups and updates. Patch-by: James Cowgill.
    Closes: #855134
  * Convert german translation into po format.
  * Convert italian translation into po format.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Mar 2017 14:40:55 +0100

installation-guide (20170211) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix arch-title in French and Italian. Thanks Holger Wansing for the
    notice.
  * Fix URL for debian-installer git repository. Thanks to Richard Owlett
    for the hint.
  * Fix build when starting creating xml files with a non-translated po file,
    e.g. gpl.xml.  Closes: #850232
  * Update figures.
  * Bump Standards-Version to 3.9.8 (no change).

  [ Karsten Merker ]
  * Update sunxi platform support status (armhf).

  [ Baptiste Jammet ]
  * Document how to use debootstrap with foreign architectures.

  [ Holger Wansing ]
  * Change build chain for pdf variant from jade to dblatex
    and activate pdf for Chinese, Greek, Japanese and Vietnamese
    (pdf was not supported before for those languages).
    Thanks to victory for the patch.

  [ Frans Spiesschaert ]
  * Dutch translation for welcome chapter.  Closes: #853767

  [ Cyril Brulebois ]
  * Mass-update po translations (install-methods.po) so that the syslinux
    example is correct (see #803267): el es fi hu ko ru sv vi zh_CN zh_TW

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Feb 2017 18:59:58 +0100

installation-guide (20161031) unstable; urgency=medium

  [ Karsten Merker ]
  * Update the architecture table for Stretch.

  [ Samuel Thibault ]
  * Document text frontend shortcuts.
  * Document passing option in the x86 UEFI case.
  * Add mips64el arch.
  * Comment powerpc and kfreebsd archs.

  [ victory ]
  * Small fixes.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2016 15:56:50 +0100

installation-guide (20160629) unstable; urgency=medium

  [ Holger Wansing ]
  * Switch to the new apt commands, instead of the aptitude respective
    the old apt-get / apt-cache ones.

  [ Martin Michlmayr ]
  * Fix typo in French translation.  Thanks Mathieu Malaterre.  Closes:
    #815537
  * Improve package description of MIPS and PowerPC manuals.  Thanks
    Mathieu Malaterre.
  * Add Seagate Personal Cloud and Seagate NAS as supported systems.
  * Add NVIDIA Jetson TK1 as supported system.

  [ Ryuunosuke Ayanokouzi ]
  * Make create_xml use original english text for fuzzy entries. Closes:
    #825270.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jun 2016 00:24:49 +0200

installation-guide (20160121) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Update scripts and entities to stretch release.
  * Remove the DNS-323 from the list of supported Orion devices.
  * Remove IXP4xx from the list of supported armel platforms.
  * Remove references to platforms that were last supported in Debian 7.
  * Document armel devices and platforms for which support was dropped.
  * Update list of supported QNAP models.
  * Add "MX53 LOCO Board" as alternative name for the MX53 Quick Start
    Board (see #788782).
  * List Seagate FreeAgent DockStar as supported plug computer.
  * Convert supported Kirkwood devices to a list.
  * Added QNAP TS-109, TS-209, TS-409 and TS-409U as supporteded
    models again.

  [ Vincent McIntyre ]
  * Document discrepancy between halt and poweroff. Closes: #789652.

  [ Łukasz Stelmach ]
  * Update information on hashed passwords. Closes: #801810.

  [ Samuel Thibault ]
  * Document the fourth bootline parameter of brltty.
  * Document the zoom support.

  [ Matt Kraai ]
  * Fix Instructions for creating syslinux.cfg according to syslinux 5.00
    change. Closes: #803267.

  [ Holger Wansing ]
  * Documenting that the graphical installer is now the default.

  [ Cyril Brulebois ]
  * Remove alternative build-dep on openjade1.3, thanks to Neil Roeth
    (Closes: #809523).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Jan 2016 20:14:33 +0100

installation-guide (20150528) unstable; urgency=medium

  [ Samuel Thibault ]
  * Give to make-kpkg a "1.0.custom" revision instead of bogus "custom.1.0".
    Closes: #783613.
  * Add an example preseed entry for setting up multi-arch.
    Closes: #785165 . Thanks to Matthew Sweet for the patch.

  [ Christian Perrier ]
  * Fix kernel source compression extension in kernel-baking.xml

  [ Holger Wansing ]
  * Revert to documenting that the text installer is still the default
    installer.
  * Remove mention of kfreebsd as supported archs for Jessie

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 May 2015 00:13:28 +0200

installation-guide (20150423) unstable; urgency=medium

  * A few translation updates.

  [ Samuel Thibault ]
  * Make size needed on / an entity, and bump its max to 310. Thanks Paolo
    Cavallini for the report and Laura Arjona Reina for the investigation!

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Apr 2015 22:24:35 +0200

installation-guide (20150417) unstable; urgency=medium

  [ Stéphane Blondon ]
  * Improve html table aspect.
  * Add missing "warning" icon.

  [ Karsten Merker ]
  * Add a "Debian-provided U-Boot (system firmware) images" subsection
    in the "Pre-Installation Hardware and Operating System Setup" section
    and add a link to the U-Boot images in the "Downloading Files from
    Debian Mirrors" section.
  * Add a "Using pre-built SD-card images with the installer" subsection
    in the "Booting the Installer on ARM" section.
  * Correct the number of supported architectures (arm64 and ppc64el are
    release architectures now).
  * Add a "Pre-built netboot tarball" subsection for armhf in the
    "Booting by TFTP" section.
  * Add a "Console configuration" subsection in the "Booting the Installer
    on ARM" section.
  * Add information that the IXP4xx platform support in Jessie is limited
    to dist-upgrades from Wheezy, that new installations are not supported
    for the IXP4xx platform and that kernel support for it will definitely
    be dropped in Stretch.
  * Add LinkSprite pcDuino3 to the list of supported armhf systems.
  * Change http.debian.net references to httpredir.debian.org.

  [ Holger Wansing ]
  * Add ppc64el bits.

  [ Wookey ]
  * Update the "Supported Hardware" section for arm64.

  [ Steve McIntyre ]
  * Update stats for number of packages per arch, number of DDs and number
    of mailing lists
  * Add mention of BD-ROM like CD/DVD
  * Lots of updates to documentation about EFI
  * Make USB boot a more prominent option for booting the installer on x86
  * Remove the old hdX device names, switch to sdX for disks
  * Various fixes for arm* support
  * Loads of trivial translations.

  [ Samuel Thibault ]
  * Add missing "set -e" in build/Makefile to trap build failures.
    Closes: #782673.
  * Loads of trivial translations.
  * Fix moving the html images when destination already contains a built
    manual. Closes: #782765.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Mar 2015 10:10:34 +0100

installation-guide (20150323) unstable; urgency=medium

  [ Samuel Thibault ]
  * Rephrase documentation of grub-installer/bootdev to make it clear that it
    has to be specified. document that it can be preseeded with "default".
  * Update preseed grub-style partition name from grub1 style (hd0,0) to grub2
    style (hd0,1).
  * Avoid security issues while making an encrypted root password for a
    preseed file. Closes: #775718.
  * Re-enable da language.

  [ Stuart Prescott ]
  * Advise users not to use unetbootin
  * Suggest win32diskimager as an alternativee to unetbootin
  * Explicitly list the netinst, CD-1 and DVD-1 images as "which image should
    I use" is a FAQ.

  [ Karsten Merker ]
  * Update the armhf platform support status.
  * Update the U-Boot USB boot command in the "Booting from a USB stick in
    U-Boot" section as required by newer U-Boot versions.

  [ Holger Wansing ]
  * Make year for copyright an entity.

  [ Stéphane Blondon ]
  * Add CSS for the html version.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Jan 2015 00:05:14 +0100

installation-guide (20141230) unstable; urgency=medium

  [ Karsten Merker ]
  * List the armel MV78xx0 platform as no longer supported in Jessie
    (support was removed with linux-image 3.16.2-1) and remove the
    mv78xx0 flavor from the architecture table.
  * List the armel ixp4xx platform as (again) supported in Jessie.
    Support for it has been reenabled with kernel 3.16.
  * List the Wandboard Quad as supported armhf platform (based on
    installation report #773127).
  * Add a "Booting from a USB stick in U-Boot" subsection in the
    "Booting the Installer on ARM" section.

  [ Ben Hutchings ]
  * Warn that one must copy hybrid images on whole USB sticks, not just a
    partition. Closes: #762024.

  [ Samuel Thibault ]
  * Fix preseed name: netcfg/link_detection_timeout ->
    netcfg/link_wait_timeout. Thanks Julien Cristau for noticing.
  * Update brltty URLs and version.
  * Update preseeding of desktops and list of desktops.
  * Add arm64 and ppc64el manual builds.
  * Update tasks installation sizes.
  * It is now possible to choose the installed desktop, and the default is now
    Gnome on x86. Closes: #764026.
  * Fix documentation for -- after it was turned into --- for fixing #764675.
  * Explicit that console=ttyS0,something has to be put after ---.
    Closes: #764677.

  [ Baptiste Jammet ]
  * Update installation-guide for no separated /usr. Closes: #772461.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Dec 2014 22:26:53 +0100

installation-guide (20140916) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove information about Cobalt devices.

  [ Samuel Thibault ]
  * Reference the DEBIAN_FRONTEND parameter in the accessibility section.
  * Do not document a "d-i keymap" alias, it does not work, only the bootcommand
    keymap alias works.
  * Emphasize about the issue of language/keyboard being by default asked before
    disk and network preseeding.
  * Mention where filesystems are mounted for preseed commands.
  * Fix setting up ssh access now that root with password is disabled by
    default. Closes: #756065.
  * Add support for "any" and "x86" magics in preseed.pl. Closes: #758476.
  * Update linux-x86 lowmem limits.
  * Add arch-parallel build support.
  * Bump Standards-Version to 3.9.5 (no change).

  [ Karsten Merker ]
  * Update and extend the "Supported Hardware" section for armel
    and armhf:
      - update the architecture/subarch/flavor table
      - add general information about armel and armhf
      - add information about platform-specific and multiplatform kernels
      - update the platform support status
  * Disable the "Booting the SS4000-E" section as it describes hardware
    which is not supported in Jessie anymore (Intel iop32-based NAS).
  * Disable the references to the Thecus N2100 and the GLAN Tank in the
    "Where to Find Installation Images" section. Both are Intel
    iop32-based systems which are not supported in Jessie anymore.
  * Add an "ARM firmware", a "Setting the ethernet MAC address
    in U-Boot" and a "Kernel/Initrd/Device-Tree relocation issues in
    U-Boot" subsection in the "Pre-Installation Hardware and
    Operating System Setup" section.
  * Add a "Boot image formats" and a "TFTP-booting in U-Boot" subsection
    in the "Booting the Installer on ARM" section.
  * Add location information for the armmp flavor to the "Where to Find
    Installation Images" section.
  * Add a "Making the system bootable with flash-kernel" subsection
    to the "Making Your System Bootable" section for arm platforms.
  * Remove ia64, s390 and sparc from the supported architecture list
    for Jessie.
  * Update several common entities for Jessie.
  * Reword the "Installing Additional Software" section to make it
    easier to change the default desktop environment in the installation
    guide.
  * Remove outdated reference to booting from floppy disks in the
    "Booting from CD-ROM" section.
  * Add a "Systems with UEFI firmware" subsection and a
    "Disabling the Windows 8 'fast boot' feature" subsection in the
    "Pre-Installation Hardware and Operating System Setup" section.

  [ Cyril Brulebois ]
  * Drop installation-guide-ia64 package (commented out).
  * Target release is now jessie.

  [ Colin Watson ]
  * Remove mention of partman's ability to copy data between partitions,
    since that relies on libparted's filesystem-handling code which is being
    removed.

  [ Holger Wansing ]
  * Drop s390, ia64 and sparc from control / archlist files for Jessie
    (means dropping installation-guide-s390 and installation-guide-sparc
    packages)
  * Update manual for graphical installer being the default installer
    under i386 and amd64 for Jessie.
  * Move contents of 'Graphical installer' appendix to regular parts
    of the manual.
  * Remove references of loop-AES (no longer supported by the installer).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Sep 2014 12:39:53 +0200

installation-guide (20131009) unstable; urgency=low

  [ Samuel Thibault ]
  * Add /run directory to the tree summary.
  * Document that we need to update the disk size figure in the boot help text
    too.
  * Drop texlive-lang-finnish build-dep: Finnish is currently disabled.
  * Replace texlive-lang-swedish build-dep with texlive-lang-european for
    hyphenation support, thanks Ansgar Burchardt for the hint.
  * Drop texlive-lang-vietnamese build-dep, now provided by
    texlive-lang-other. Closes: #709759.
  * chroot installation:
    - Advise to mount /proc before running MAKEDEV generic. Closes: #725398.
    - Advise to install ncurses-term for unusual TERM values. Closes: #725400.
  * rules: Add build-arch and build-indep targets.
  * control: Bump Standards-Version to 3.9.4 (no changes).

  [ Holger Wansing ]
  * Removal of references to 'volatile'.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Oct 2013 00:30:38 +0200

installation-guide (20130503) unstable; urgency=low

  [ Vincent McIntyre ]
  * Clearly distinguish between auto boot label and auto=true kernel
    parameter.

  [ Samuel Thibault ]
  * Add some details about serial console boot parameter.
  * Rework the auto wording.
  * Default fs is ext4, not ext3. Thanks Regid Ichira for the report.
  * Apply killall.sh -> kill-all-dhcp renaming, thanks Yoshito Komatsu for the
    report. Closes: #705819.
  * Switch from dhcp3-server to isc-dhcp-server, thanks Salvatore Bonaccorso
    for the report.Closes: #706103.
  * Stop advising to use init 1 to restart servers. Thanks Regid Ichira for
    the report.
  * Make it clear that dark theme is about colors.

  [ Jakub Wilk ]
  * Fix some typos. Closes: #705311.

  [ Milan Kupcevic ]
  * How to boot YDL Powerstation from factory default CD/DVD drive.
  * Update list of supported PowerPC machines.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 03 May 2013 23:22:25 +0200

installation-guide (20130408) unstable; urgency=low

  [ Samuel Thibault ]
  * Document IPv6 preseeding. Thanks Vincent McIntyre for the suggestion.
  * Rename disable_dhcp into disable_autoconfig, the former is now deprecated.
  * Document that IPv6 autoconfiguration is disabled along DHCP.
  * Disable outdated Catalan and Finnish translations.
  * Update installation sizes.
  * Document that the mirror host name actually has to be a URL base for now.
  * Suffix web documents with http lang ids rather than locale lang ids, for
    working content-language negociation.
  * Fix space typo reported by Enrico Zini.
  * Fix spurious syncs reported by Enrico Zini.
  * Fix Linux kernel package version, reported by Enrico Zini.
  * /etc/adjtime is not automatically built by debootstrap any more, document
    how to create it.

  [ Milan Kupcevic ]
  * Debian-installer partition table editing tool not compatible with
    MacOS 9. Closes: #604134.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 08 Apr 2013 00:25:20 +0200

installation-guide (20130208) unstable; urgency=low

  [ Brian Potkin ]
  * Remove references to businesscard images, which are no more.
  * Document how to get back from help to menu.
  * Improve documentation about kernel modules needing firmwares, including
    how to look for “firmware” in dmesg's output. Closes: #695403.
  * Improve documentation about user accounts: move it to the right place
    and explain how setting an empty root password leads to sudo being
    installed. Closes: #692314.
  * Explain how to include firmware or packages on a USB stick built by hand.
  * Explain one can use a USB stick while having booted another
    way. Closes: #692309.

  [ Salvatore Bonaccorso ]
  * Fix typo in network configuration preseed example snipped
    Closes: #691164

  [ Samuel Thibault ]
  * Update lowmem, disk usage, package numbers, lists number values.
  * Fix po detection.
  * Fix bogus URLs, thanks Brian Potkin for the hint. Closes: #692310.
  * Document speakup shortcuts for speed and volume.
  * Add wiki URL for installed system accessibility.
  * Provide more details on software speech synthesis support.

  [ Holger Wansing ]
  * Fix location of UTC vs local timezone configuration. Closes: #699297.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Feb 2013 19:02:17 +0100

installation-guide (20121010) unstable; urgency=low

  * Replace \n with spaces from getfromlist output in buildweb.sh.
    Closes: #690065.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 10 Oct 2012 00:51:53 +0200

installation-guide (20121008) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/rules: Fix suite name.
  * preseed: Add authorized_keys url preseed example, thanks Charles Plessy
    for the patch. Closes: #684629.
  * official-cdrom: Add link to CD FAQ. Thanks Holger Wansing and Richard
    Owlett for the heads-up. Closes: #280348, #309568.
  * Add language-parallel build support.
  * Update figures.
  * Remove outdated keyboard configuration bits.
  * Update preseed aliases.
  * Document that only basic keymap variants are available for preseeding.
    Closes: #682857.
  * Advise virtualization+serial users into using screen to fix glitches.
    Closes: #689548.

  [ Simon Guinot ]
  * Document support for LaCie NASes. Closes: #686128

  [ Karsten Merker ]
  * Various small removals / updates / amendments in the chapters 2,3 and 5,
    most of them concerning outdated information.
  * Extended the "Devices Requiring Firmware" section.
  * Rewrote large parts of the "Avoid Proprietary or Closed Hardware"
    section.
  * Rewrote the "Hardware Compatibility" section.
  * Amended the "Network Settings" section.
  * Rewrote the "Pre-Partitioning for Multi-Boot Systems" section
    to bring it up to date with the current d-i features and make it
    easier to read for beginners.
  * Rewrote the "Pre-Installation Hardware and Operating System Setup"
    section to bring it up to date for modern hardware.
  * Amended the "Official Debian GNU/Linux CD/DVD-ROM Sets" section
    (CD1 without network mirror too small for a full GNOME/KDE install).
  * Added a note that for some devices firmware may not be necessary,
    even though a firmware prompt is displayed.
    Closes: #687454
  * Reworked the "Configuring the Network" section, added information
    regarding IPv6 support.
  * Added a "Choosing a network mirror" section, added information
    regarding IPv6 connectivity of debian mirrors and information about
    ftp.ipv6.debian.org and http.debian.net.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 08 Oct 2012 22:38:08 +0200

installation-guide (20120826) unstable; urgency=low

  [ Samuel Thibault ]
  * Reference the French translation of the brltty manual in fr.
  * Disable G-I on kfreebsd-*.
  * Document booting d-i from grub2. Closes: #612165.
  * Mention preseeding as an alternative for accessibility.
  * Document that the text installer is selected by default.
  * Avoid referencing BRLTTY manual chapter precise numbers. Closes: #580508.
  * Make it clear that it's the ISO file which needs to be copied to the USB
    key.
  * Update powerpc's copy of documentation for copying ISO file on USB keys.
  * Add software speech synthesis documentation.
  * Document SCSI partition raise to 255. Closes: Bug#644734. Thanks David
    Prévot.
  * Do not make users think that only "Graphical install" has speakup support,
    and not "64 bit graphical install" too.
  * Mention the 64bit variant installation options.
  * Update chroot manual into using grub2.
  * Document that installing makedev is needed to get MAKEDEV.
    Closes: #620881, #656939.
  * Document the availability of other apt sources, thanks Karl for the
    patch. Closes: Bug#608828.
  * Update xorg, brltty and speakup versions.
  * WPA/WPA2 is now available. Closes: #659648.
  * Use dd of= instead of cat >, to save users who use sudo. Advise to make
    sure the stick is unmounted. Closes: #660776.
  * Rename kbd-chooser component to console-setup.
  * Fix preseeding for keyboard-configuration.
  * Simply use cp instead of dd to prepare USB stick.
  * Remove heading / from pxelinux.0, it seems to pose problem with some
    implementations. Thanks Ulrich Krause for the report.
  * Document that flexible-built USB keys do not show the boot menu by
    default, and document how to enable it. Thanks Filipus Klutiero for the
    report. Closes: #666105.
  * Document that installing an MBR is needed to get a bootable USB key.
  * Add armhf, s390x architectures, comment hppa architecture.
  * Enable korean language.
  * Use base-system-size and task-desktop-lxde-inst instead of hardcoding
    install size in chroot method.
  * Advise to install ssh and set root passwd in chroot method, thanks Michael
    Stapelberg for the patch. Closes: #413649.
  * Remove PA-RISC architecture from documented supported list.
  * Add partman-lvm/confirm_nooverwrite to preseed example. Closes: #610282,
    #609704.
  * Update scripts and entities to wheezy name.
  * Add myself as uploader.

  [ Steve McIntyre ]
  * Make it clearer how we expect users to write CDs to USB sticks.
    Closes: #680650.

  [ Joey Hess ]
  * Fix typo in example preseed. Closes: #612631

  [ Didier Raboud ]
  * Document win32-loader as a possible boot method. Closes: #444017.

  [ Colin Watson ]
  * The text frontend is available on most default install media.  Adjust
    the Boot Parameters section to say so.
  * Update url-us-keymap.  Thanks, Manfred Hampl; LP: #741134.
  * Document log_host and log_port.
  * Update link to installer/doc/devel/ to cope with the switch to git.

  [ Christian Perrier ]
  * Document preseed-md5 and keymap preseed aliases
    Closes: #621825, #621824, #681801
  * Add VCS-Browser to debian/control. Closes: #636937

  [ Martin Michlmayr ]
  * Update list of supported ARM devices.

  [ Miguel Figueiredo ]
  * Fix chroot install keyboard configuration. Closes: #634168.

  [ Julian Andres Klode ]
  * Use C.UTF-8 locale for chroot install. Closes: #634167.

  [ Joey Hess ]
  * Remove dead link to Phoenix large disk BIOS faq. Closes: #638268
  * Add a pointer to the unofficial non-free CDs with firmware.
  * 1 gb USB key now needed for hd-media. Closes: #666090

  [ Vincent McIntyre ]
  * Mention DEBCONF_DEBUG. Closes: #668572.

  [ Milan Kupcevic ]
  * Clarify how to boot PowerMacs from external Firewire and internal
    factory default CD/DVD drives. Closes: #378119.
  * Document how to boot Pegasos II from factory default CD/DVD drive.

  [ Nozomu Kurasawa ]
  * Fix xml file test. Closes: #684834.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Aug 2012 02:16:10 +0200

installation-guide (20110122) unstable; urgency=low

  [ Frans Pop ]
  * List myself as one of the main authors in the administrativa appendix.
  * Clarify IP addresses in example for booting SS4000-E (arm). Thanks to
    Miroslav Kure for the patch.
  * Add link to boot screen section in accessibility section. Closes: #579954.

  [ Martin Michlmayr ]
  * Update links for ARM images.

  [ Samuel Thibault ]
  * Update brltty version.
  * Document booting from DOS (Closes: Bug#518808).
  * Add non-Linux infrastructure to the build system.
  * Add kFreeBSD infrastructure.
  * Replace Linuxish bits with per-port entities.
  * Rephrase Hurd-specific paragraph explaining that Debian GNU/Hurd is not
    Linux.
  * Add a "What is Debian GNU/kFreeBSD" section.
  * Add the list of architectures supported by the kFreeBSD port.
  * Restrict "Board Devices" accessibility section to Linux.
  * Fix port URL for non-Linux ports.
  * Fix "hardware" part for non-Linux ports. Now needs fine-tune from BSD
    people.
  * Fix "boot-installer" part for non-Linux ports. Still needs extensive
    review from BSD people.
  * Fix "preparing", "using-d-i", "boot-new", "post-install", "howto",
    "preseed", "partitioning", and "random-bits" parts for non-Linux ports.
  * Factorize os-specific parameters in build/arch-options.
  * Rename debian entity to debian-gnu. Introduce new debian entity which just
    stands for "Debian".
  * Rename Mandrake into Mandriva (Closes: Bug#601308).
  * Update installation sizes for amd64 instead of i386.
  * Mention Windows 2003, Vista, and 7.
  * Fix graphical boot options.
  * Move user setup to before clock setup in "Using the Debian Installer" and
    "Automating the installation using preseeding".
  * Document dpkg-reconfigure keyboard-configuration instead of kbd-config.
  * Add installation-guide-kfreebsd-{i386,amd64} packages.
  * Reference Debian Installer modules documentation from the preseed section
    (Closes: Bug#603159).
  * Move boot parameters subsections from inside the debian installer parameters
    section, to which they don't really belong.
  * Make subsection Installation Over the Network a direct child of Using
    Individual Components instead of hiding it in "Miscellaneous".
  * Rename 6.3.8 "Miscellaneous" into "Troubleshooting".
  * Fix default tftp directory from /var/lib/tftpboot to /srv/tftp, thanks
    Charles Plessy (Closes: Bug#606725).
  * Enable Spanish and Swedish translations (almost up-to-date).
  * Reword i386 and amd64 arch names to be consistent with the corresponding
    release-notes change: Intel x86 → 32-bit PC, AMD64 → 64-bit PC.
  * Add keyboard-configuration/xkb-keymap preseed variable.
    (Closes: Bug#599772)

  [ Joey Hess ]
  * Update USB stick documentation to reflect isohybird mini.iso files,
    as generated by debian-installer >= 20100913.

  [ Christian Perrier ]
  * Remove obsolete reference to the replicator package
    Closes: #597983

  [ Maximilian Attems ]
  * Remove obsolete reference to kernel-img.conf

  [ Colin Watson ]
  * Fix "/etc/init.d/dhcpd3-server" typo (should be
    /etc/init.d/dhcp3-server), and unfuzzy all translations (LP: #666726).

  [ Joey Hess ]
  * Updated USB stick documentation to describe the much simpler, more
    flexible, and likely more robust use of isohybrid images. All i386
    and amd64 ISO images are now isohybrid.
  * Remove documentation of no longer supported
    grub-installer/grub2_instead_of_grub_legacy preseed. Closes: #610739

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Jan 2011 13:16:49 +0100

installation-guide (20100518) unstable; urgency=low

  [ Colin Watson ]
  * Note that partman-auto/init_automatically_partition is only honoured if
    partman-auto/method is not set.
  * Document the use of grub-installer/grub2_instead_of_grub_legacy to
    switch back to GRUB Legacy for those who need it.
  * Remove spurious quoting in network-console documentation, pointed out by
    Jonathan Amery.
  * partman now asks a slightly different (and less scary) confirmation
    question if it doesn't appear that any data is being overwritten.
    Document the associated preseeding changes.

  [ Frans Pop ]
  * Add missing hyphen in command "kbd-config". With thanks to Tapio Lehtonen.
    Closes: #545584.
  * Include a caution in the IA64 version of the manual against using IA64
    for "normal" 64-bit Intel systems.
  * Disable the variant for the alpha architecture: it is being dropped as a
    release architecture for Squeeze.
  * When updating PO files, set them to a standard width of 79 (same as used
    for l10n-sync for D-I master PO files).
  * Document that Debian now installs Recommends by default and how to disable
    that.
  * x86 USB boot: two improvements suggested by Timo Juhani Lindfors and one
    by Samuel Thibault. Closes: #532437, #532440, #548534.
  * welcome: add a link to www.kernel.org and remove the no longer valid link
    to www.kerneltraffic.org. Closes: #331523.
  * Document new help functionality.
  * Update for changes in locale selection in localechooser 2.17 and 2.18:
    - selecting a different country is now always possible at high priority;
    - change in order of selection of additional locales and default locale;
    - selection of a preferred locale if a combination of language and country
      was selected for which no locale exists;
    - support for separate preseeding of language, country and locale.
  * Mention option to select UTC as time zone at medium/low priority.

  [ Martin Michlmayr ]
  * Mention more Kirkwood-based devices that are supported.
  * Document where to get Kirkwood installer images from.
  * Fix the preseeding example to say that allow_unauthenticated is a
    boolean (and not a string).

  [ Joey Hess ]
  * Reword section on installer's support of wireless.

  [ Steve Langasek ]
  * Update the appendix on chroot installs to not recommend mapping 127.0.0.1
    to the hostname; use 127.0.1.1, the same as the installer itself does.

  [ Frans Pop ]
  * Update and extend information on preseeding partman. Based on a patch from
    Vincent McIntyre. Closes: #511053.
  * Use 'ip addr' instead of 'ifconfig' to get MAC address for RARP setup.
  * Update information on setting up a TFTP server.
  * As of Lenny syslinux no longer requires that the TFTP server supports the
    'tsize' option (see #570273). With thanks to Ferenc Wagner.
  * Using D-I: add subsection intruducing supported partitioning options,
    including a list of supported file systems.
  * Disabling framebuffer on x86 now also requires passing 'vga=normal'. With
    thanks to Samuel Thibault. Closes: #577461.
  * Update for switch of G-I from DirectFB to X.Org.
  * Update kernel version to 2.6.32, number of Debian Developers and program
    versions.
  * Update URL for Debian mirror list. Closes: #579935.
  * Disable Korean, Portuguese (BR), Spanish and Swedish translations as they
    are incomplete.

 -- Frans Pop <fjp@debian.org>  Tue, 18 May 2010 03:51:35 +0200

installation-guide (20090901) unstable; urgency=low

  [ Frans Pop ]
  * Switch over from Lenny to Squeeze. Current kernel is 2.6.29.
  * Change the Debian designation for the ARM architecture from arm to armel.
    The internal 'arch-spec' and file naming convention remains "arm" in order
    to avoid unnecessary changes and work for translators.
  * Mention that TERM= can be passed as boot parameter to set the terminal type
    for serial console installs. Based on a patch suggested by Samuel Thibault.
    Closes: #524666.
  * Update copyright for 2009.

  [ Martin Michlmayr ]
  * Updates for ARM (armel):
    - Remove sections about Netwinder/CATS, which are no longer supported.
    - Update the "supported hardware" table.
    - Add a section about Marvell's Kirkwood, which is now supported.
  * Updates for MIPS:
    - Show some sections on mipsel that apply there too.
    - Say that the Cobalt Qube 2700 (Qube1) is no longer supported.
    - Remove everything about the Broadcom SWARM and BigSur since we no
      longer support these devices in the installer.

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Document partman/mount_style, which controls how filesystems are
      mounted.
  * Document pkgsel/include/install-recommends.
  * partman/confirm_write_new_label was renamed to
    partman-partitioning/confirm_write_new_label in r50363, December 2007.
    Adjust preseeding documentation to match.

  [ Frans Pop ]
  * Document installation of localization tasks.
  * Document the debian-installer/add-kernel-opts preconfiguration option.
  * Add links to website documenting braille keybindings. Thanks to
    Samuel Thibault for the patch. Closes: #534260.
  * Fix typo in chroot install appendix. Closes: #535494.
  * Improve bootp documentation. Thanks to Holger Wansing for the patch.
    Closes: #282614.
  * On s390 the system clock is not modified by the installer.

  [ Otavio Salvador ]
  * Document the netcfg/enable preseeding that allows for disabling the
    network configuration. Thanks to Anthony L. Awtrey <tony@awtrey.com>
    for the patch.

  [ Frans Pop ]
  * Move most build dependencies to Build-Depends-Indep.

 -- Frans Pop <fjp@debian.org>  Tue, 01 Sep 2009 14:10:10 +0200

installation-guide (20090427) unstable; urgency=low

  [ Colin Watson ]
  * Document partman/early_command (added in partman-base 129).
  * Add note about preseeding ownership to preseed-seenflag section, since I
    had a user confused by this who hadn't found the note elsewhere
    explaining owners.
  * Use /dev/sda and /dev/sdb in the RAID preseeding example rather than
    /dev/discs/disc0/disc and /dev/discs/disc1/disc, since the latter
    devices no longer exist.
  * Document noshell boot parameter. See #504381.
  * Clarify behaviour of "auto" preseed alias.
  * Clarify that preseeding aliases are only aliases for question names, and
    that a value is always needed as well.
  * Apparently you can pass extra boot parameters to OpenBoot at the end of
    the 'boot' command. Document this as it has been known to cause some
    confusion.

  [ Frans Pop ]
  * Document preseeding of network-console now that its postinst can be
    relied on to be executed.
  * Update info on passing boot parameter for PPPoE.
  * Explain Standard system task.
  * Add LXDE desktop environment.
  * Mention option to select desktop environment from boot menu for x86 CDs.
  * Add task sizes for alternative desktop environments.
  * chroot install: 'tzconfig' is deprecated for 'dpkg-reconfigure tzdata'.
    Closes: #520582.
  * Booting using LILO or GRUB: minor improvements. Closes: #519508.
  * Fix example how to generate md5-encoded password. Closes: #518018.
  * Fix missing tags in Japanese translation. Closes: #509372.
  * Improve script that extracts preconfiguration example file from appendix.

  [ Samuel Thibault ]
  * Document accessibility support. Closes: #509371.

  [ Frans Pop ]
  * (Re-)enable Vietnamese translation (not fully up-to-date).
  * Convert PO translations for Finnish, Korean and Vietnamese to XML using
    their last fully translated version.
  * Release update of the manual for Lenny. Six translations have not been
    updated: Brazilian, Catalan, Finnish, Korean, Spanish and Vietnamese.

 -- Frans Pop <fjp@debian.org>  Mon, 27 Apr 2009 13:23:30 +0200

installation-guide (20081208) unstable; urgency=low

  * Move documentation files to separate subdirectory doc.
  * Document how the manual is built for the Debian website.
  * Correct error spotted by Osamu Aoki: text web browser is w3m, not w3c.
  * Correct two minor errors in preconfiguration examples. With thanks to
    Andreas Beckmann for reporting them. Closes: #507544.
  * Add new script check-preseed to help translators check if their
    translation of the appendix about preseeding is complete/correct.
  * Re-enable Spanish translation.

 -- Frans Pop <fjp@debian.org>  Mon, 08 Dec 2008 09:50:48 +0100

installation-guide (20081113) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Remove everything about DECstation since these machines are
    no longer supported.
  * Provide information about all iop32x and orion5x installation media.
  * Describe Orion and Versatile as supported platforms.
  * Fix the NSLU2 download link.
  * Describe MIPS Malta.
  * Document netcfg/get_gateway=none

  [ Frans Pop ]
  * Update copyright to 2008.
  * Update description of country selection in line with recent changes in
    localechooser.
  * Request output of lspci -knn in installation reports.
  * Apply patch from Frank Lichtenheld to improve netboot instructions for
    PowerPC. Closes: #275565.

  [ Joey Hess ]
  * Comment out partman-auto/disk setting in preseed since lenny d-i will
    automatically work w/o it if there's just 1 disk. Closes: #490287
  * Document hw-detect/load_firmware. Closes: #493845

  [ Ryan Niebur ]
  * Added documentation for RAID 6 and 10.

  [ Jérémy Bobbio ]
  * Explicitly mention that preseeded keymaps must be known to d-i.
    Closes: #493720
  * Mention parman-md/device_remove_md in preseeding appendix.

  [ Frans Pop ]
  * Restructure supported hardware section.
  * Update of supported subarches/flavors for powerpc.
  * hardware-supported:
    - suppress m68k from arches table, unless building for m68k
    - show which subarches are supported by arm/armel
    - various minor updates and improvements
  * Remove section on X.Org preseeding as all descibed options are obsolete.
  * Document support in the installer for loading missing firmware.
  * Update partman preseeding: use Choices-C values instead of descriptions.
  * Correct short description of iso-scan. Closes: #501175.
  * PowerPC currently doesn't have hd-media images, so is not "bootable-usb".
  * There are no floppy images for i386 for Lenny; disable relevant sections.
  * Major rewrite of section about preparing a USB stick for booting the
    installer. Closes: #500206, #500283.
  * Update preconfiguration section for latest changes in the preseed udebs
    and clarify preseeding of language/country.
  * Remove duplicated text about using tasksel. Closes: #502773.
  * Update task sizes and nr. of packages per arch and current nr. of Debian
    Developers for Lenny.
  * (Re-)enable Catalan, Greek, Finnish, Japanese and Korean translations.
  * Disable Vietnamese translations as it is incomplete.

 -- Frans Pop <fjp@debian.org>  Thu, 13 Nov 2008 10:15:38 +0100

installation-guide (20080520) unstable; urgency=medium

  [ Frans Pop ]
  * Clarify console switching for the graphical installer.
    Thanks to Tim Richardson for the suggestion.

  [ Colin Watson ]
  * Spell "multiselect" correctly in apt-setup/services-select preseeding
    example.
  * Note that an empty preseed file is equivalent to a normal manual
    installation (thanks, Nathan Sutton).

  [ Robert Millan ]
  * Document how to start the installer from Windows.

  [ Frans Pop ]
  * Document installation using multiple CD/DVDs; update text about using a
    mirror in line with that.
  * Lenny will be version 5.0.
  * Warn about boot issues when using RAID on the root file system.
  * Update task selection section for changes in desktop task preseeding.
  * Fix double / in links, spotted by Stanislav Gromov. Closes: #472813.
  * Document new boot parameters to define mouse protocol and device (port)
    for the graphical installer.
  * Correct command to use to allow preseeding of netcfg when using a
    preconfiguration file downloaded from a server (preseed/url).
    Thanks to Durk Strooisma for the report and analysis. Closes: #476524.
  * Specify for which release the example preseed file is valid.
  * Document preseeding of grub password.
  * Update how to suppress the removal of existing LVM data using preseeding.
  * Update version of X11 used in Lenny.
  * Update kernel versions.
  * Update memory requirements for i386 and amd64. Elaborate on installing
    systems with less memory than the listed minimum.
  * Update known issues for graphical installer: entropy gathering for
    encrypted partitioning is now supported; localechooser now has nice
    columns but other components still need to be done.
  * Document finish-install/keep-consoles boot parameter and preseeding.
  * Define two new translatable entities: escapekey and tabkey.
  * Update task sizes, and number of packages and developers.
  * x86: update description of the boot screen for the new syslinux vesamenu.

  [ Joey Hess ]
  * Remove autopartkit from the module list.

  [ Frans Pop ]
  * Disable Catalan, Korean and Japanese translations as they are incomplete.
  * Upload with priority medium because of D-I Beta 2 release.

 -- Frans Pop <fjp@debian.org>  Sat, 10 May 2008 17:59:43 +0200

installation-guide (20080211) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove all information about RiscPC because these machines are
    no longer supported.

  [ Joey Hess ]
  * Document the new tasksel/desktop preseed for lenny.

  [ Frans Pop ]
  * Add cm-super to build dependencies as that improves the quality of the
    Russian PDF version.
  * Suggest 'nousb' instead of debian-installer/probe/usb as USB modules are
    now loaded automatically.
  * Fix incorrect instruction for preseeding local repositories.
    Thanks to Rémi Demarthe. Closes: #420894.
  * Add translatable entities for Continue, Cancel and Go Back buttons.
  * Add build dependencies on texlive-lang-* packages for languages for which
    the manual has translations.
  * Document new boot parameters "lowmem" and "dmraid".
  * Document new location of graphical mini.iso images.
  * Document base-installer/kernel/image preseed.

  [ Joey Hess ]
  * Document new lilo-installer/skip preseed.
  * Document passwd/user-default-groups preseed.

  [ Colin Watson ]
  * Recommend preseeding mirror/country to "manual" rather than "enter
    information manually" (choose-mirror 2.17).
  * Remove text talking about devfs-style device names, which are no longer
    supported.
  * preparing/minimum-hardware-reqts.xml: Pluralise "gigabyte" consistently.

  [ Joey Hess ]
  * Document clock-setup/ntp.

  [ Frans Pop ]
  * Support for sparc32 has been discontinued for Lenny. This also means that
    booting from floppy is no longer supported for sparc.
  * Extend the documentation of apt-setup, especially the decision whether or
    not to use a network mirror. Document selection of services.
  * Document new apt-setup/services-select and related hostname preseeds.
  * Add some information about creating device files in the appendix on chroot
    installs; also add a note that the appendix only covers the basic steps
    of a chroot install.
  * Warn against installing Debian while another OS is hibernated.

  [ Joey Hess ]
  * Document how to preseed partman-auto to use only available disk, no matter
    what it's name is.
  * debian/rules: call dh_md5sums.
  * Document debian-installer/exit/halt preseed.

  [ Colin Watson ]
  * Clarify that you need to actually provide an autopartitioning method as
    well as preseeding the partman confirmation messages.

  [ Frans Pop ]
  * Make copyright refer explicitly to GPL version 2 as that is the version
    included in the appendix; add reference to /usr/share/common-licenses to
    make Lintian happy.
  * Rename doc-base.TEMPLATE to TEMPLATE.doc-base to avoid its inclusion in
    the package for the first architecture. Closes: #416304.
  * Modify language codes that include a country for the doc-base document ID
    so they only contain valid characters.
  * Remove the PDF section in doc-base files if PDF format is not built for a
    language.
  * Update standards version to 3.7.3; no changes needed.
  * Patch from Changwoo Ryu to replace Hangul-ucs with ko.tex fonts for Korean
    PDF version of the manual. Closes: #457137.
  * using-d-i:
    - move clock-setup, tzsetup and user-setup to reflect their changed
      position in the installation procedure
    - mention that clock-setup will now attempt to set the system time from a
      time server
    - split clock-setup as part is now executed during finish-install
    - add instructions on how a different time zone from the one(s) that match
      the selected location can be set (as that is a FAQ)
    - improve readability of partman section by using separate subsections for
      guided and manual partitioning
    - network-console: add information about dropped connections and how to
      avoid that (closes: #458154); add footnote with command to remove a host
      from the known_hosts file
  * howto, preseed: update for reordering of the installation procedure.
  * Change build dependency on gs-common to ghostscript.
  * Use --previous when updating PO files so translators can see the changes
    in a string.

  [ Colin Watson ]
  * Use &releasename; rather than hardcoding etch in sources.list
    recommendation for chroot installs. Closes: #458459.

  [ Frans Pop ]
  * Make UTF-8 the default encoding for the text version for all languages
    that still used ISO-8859-1.
  * Korean text version changed to UTF-8 on request of Changwoo Ryu.
  * Japanese text version changed to UTF-8 on request of KURASAWA Nozomu.
  * Enable PDF for Korean for website builds.
  * Disable Finnish, Hungarian and Spanish for this release as they have not
    been updated.

 -- Frans Pop <fjp@debian.org>  Mon, 11 Feb 2008 19:35:22 +0100

installation-guide (20070319) unstable; urgency=low

  [ Frans Pop ]
  * Cleaned up definitions of some entities and removed unused ones.
  * Implement infrastructure that allows entities to be translated.
    Thanks to Miroslav Kure for providing the patch. Closes: #344048, #406515.
  * Disable Korean PDF/PS formats for builds for the website.
  * appendix/files: update information about mouse configuration, based on a
    patch from Peter Samuelson (for which thanks). Closes: #406290.
  * boot-installer, appendix/preseed: document preseed/interactive parameter.

  [ Joey Hess ]
  * Fix package name for installation-reports, and manual unfuzzy of all
    translations. Closes: #408408

  [ Frans Pop ]
  * welcome:
    - make links to FSF and GNU more consistent (closes: #410317)
    - we do not necessarily share the ideals of the FSF (closes: #410129)
    Thanks to Francesco Poli for suggesting these changes.
  * using-d-i: guided partitioning now creates swap inside LVM.
    Thanks to Francesco Poli. Closes: #411399.
  * Document installs over PPPoE. Based on a text proposed by Eddy Petrisor.
    Closes: #408340.
  * installation-howto: update for the integration of base-config into D-I.
  * appendix/preseed:
    - as exim no longer asks any questions during installations, there is no
      real need to document it anymore
    - add link to Philip Hand's website as it contains many creative examples
    - document how to select the ftp protocol during mirror selection
    - document how to install from CD/DVD only (and not use a network mirror)
  * Update base/standard system and task sizes.

  [ Joey Hess ]
  * Document debian-installer/allow_unauthenticated.

  [ Wouter Verhelst ]
  * Update mac68k installation after notes from Finn Thain, upstream mac68k
    kernel hacker.

  [ Frans Pop ]
  * Replace entity in example-preseed.txt file. Thanks to Geert Stappers for
    spotting the error. Closes: #413257.

 -- Frans Pop <fjp@debian.org>  Mon, 19 Mar 2007 15:00:12 +0100

installation-guide (20070122) unstable; urgency=low

  * Enable Catalan, Brazillian, Korean and Spanish again.
  * Enable new Hungarian translation.

 -- Frans Pop <fjp@debian.org>  Mon, 22 Jan 2007 12:41:57 +0100

installation-guide (20070115) unstable; urgency=low

  [ Colin Watson ]
  * Document new pkgsel/include setting.
  * Fix incorrect documentation on preseeding additional apt sources.
  * Fix typo in hppa hardware support documentation
    (https://launchpad.net/bugs/55164).
  * Adjust chroot-install guide to take account of debootstrap being
    Architecture: all now (https://launchpad.net/bugs/64765).

  [ Frans Pop ]
  * Various corrections suggested by Clytie Siddall and Holger Wansing.
    Closes: #378404, #370484, #370425.
  * Update instructions on how to set module parameters for PLIP installation.
  * Update chroot install instructions to use aptitude instead of apt-get.
  * Add /srv in overview of directory tree in partitioning appendix.
  * Update section on partitioning using LVM to reflect recent changes.
  * Apply various patches by or based on suggestions from Nathanael Nerode.
    Some of the bigger changes include:
    - Update of processor support for the i386 architecture.
    - Update information on setting up a RARP server.
  * Add variant for the AMD64 architecture. Closes: #305977.
  * Suppress warnings about missing IDs for sections and such.
  * Reorganize supported hardware table; i386 no longer has flavors.
  * Document SMP-alternatives as one of the variants of SMP support.
  * Document how to shut down the system. Based on patch from Holger Levsen.
    Closes: #248067.

  [ Miroslav Kure ]
  * Update information about booting with encrypted partitions.
    Closes: #378651.

  [ Joey Hess ]
  * Update preseeding docs to document listing more than one disk for
    partman-auto/disk and grub-installer/bootdev

  [ Changwoo Ryu ]
  * Add support for Korean PDF output. Requires latex-hangul-ucs-hlatex.
    Closes: #381657.

  [ David Härdeman ]
  * Update preseeding documentation for partman-auto.

  [ Frans Pop ]
  * Correct error for alpha netboot installations. Thanks to Aurélien Géröme.
    Closes: #386591.
  * Correct number of release arches. Thanks to Holger Wansing. Closes: #384321.
  * Minor corrections suggested by Malcolm Parsons. Closes: #388138.
  * Document new boot parameters theme and directfb/hw-accel.
  * Remove now obsolete distinction between classic and common kpkg.
  * Update all arches to kernel version 2.6.17.
  * Set default value for manual_release in build wrapper scripts.
  * Add new section in preseeding appendix on partman-auto-raid. Not included
    in preseed text file as it is still somewhat experimental.
  * Document changes in guided partitioning and added encrypted LVM support.
  * Disable m68k for official builds as it is not a release architecture.
  * buildweb.sh: use 'mv -f' to avoid errors during builds on the webserver.
  * Minor corrections suggested by Clytie Siddall. Closes: #394413, #394471.
  * Update task sizes as per D-I RC1.
  * New troubleshooting section on how to deal with CD-ROM related problems.
  * Document how to pass parameters to kernel modules on boot.
  * Document how to install KDE instead of Gnome in the section on pkgsel.

  [ Joey Hess ]
  * Update for recent floppy changes.
  * Remove hardcoded paths to executables in buildone.sh.
  * Set HOME to a temporary directory before running w3m, to avoid it
    trying to write to a home directory that may not exist on the buildds.
    (See #393641)
  * Update the installation report template to match current one in
    installation-report.

  [ Philip Hands ]
  * Clarify how -- affects which parameters end up in the target system's
    bootloader's command line.

  [ Joey Hess ]
  * Applied Phil's auto mode documentation patch, edited it, and moved
    some things around for clarity. Closes: #395910
  * Document auto=true boot parameter.

  [ Frans Pop ]
  * Add condition "g-i" for arches that support the graphical installer.
  * Document mouse/left boot parameter.
  * Explain usage of "owner" prefix when setting values for debconf variables
    intended for the target system at the boot prompt.
  * Give some examples of preseeding questions from the boot prompt.
  * Document how to install the KDE desktop environment instead of GNOME.
  * Don't list unsupported frontends in boot parameters section.
  * Minor corrections suggested by Tapio Lehtonen. Closes: #397790.
  * Minor corrections suggested by Holger Wansing. Closes: #397974.

  [ Martin Michlmayr ]
  * Mention that RiscPC support is incomplete.
  * Mention Intel IOP32x support.
  * Talk about ixp4xx rather than the more specific nslu2.

  [ Frans Pop ]
  * Update all arches to kernel version 2.6.18.
  * Minor corrections and some rewrites based on suggestions from
    Clytie Siddall. Closes: #367861, #380588.
  * Update Sparc specific information and document common installation issues
    for Sparc. Many thanks to Jurij Smakov for reviewing the Sparc manual and
    for his overview of issues.
  * Etch ships with X.Org 7.1.
  * Update number of developers, packages and mailing lists.
  * General revision of minimum hardware requirements throughout the manual.
  * Update of installed/download size of tasks.
  * Document the graphical installer, including the main known issues.
  * Avoid generating XML files multiple times for translations using PO files
    when using build.sh or buildweb.sh sripts.
  * bookinfo:
    - Add note for m68k that it is not a release architecture for Etch.
  * hardware:
    - Remove ancient section on parity RAM. Closes: #403035.
    - Update documenation for Sparc, based on patch by Jurij Smakov.
      Closes: #389516.
    - PowerPC/APUS is currently not supported; removed from hardware table.
    - Remove sun4cd (sparc32) from and add sun4v (sparc64) in hardware table.
    - Rewrite of NIC support, document wireless support (for selected arches)
      and explain issues surrounding drivers that require firmware.
  * preparing:
    - Clean out ancient hardware issues.
  * boot-installer/parameters:
    - Document anna/choose_modules and mirror/protocol boot parameters.
    - Use a clearer way to list the short form of parameters.
    - Document new option to blacklist kernel modules.
  * boot-installer/trouble:
    - Fix reference to Save debug logs menu option.
      Thanks, Philippe Batailler. Closes: #402439.
    - Add a note that installation reports will be published.
  * install-methods:
    - All architectures that support TFTP booting also support DCHP, so remove
      the "supports-dhcp" condition.
    - According to the text, Alpha supports BOOTP.
    - Use dhcp3-server for examples rather than dhcp (version 2).
    - tftpd-hpa does not use /tftpboot by default; allow for this in examples.
      Closes: #342076.
  * using-d-i:
    - Extend description of lowmem installs based on a patch suggested by
      Holger Wansing. Closes: #400263.
  * boot-new:
    - Remove reference to apt guide (not installed by default) and obsolete
      debian-guide. Thanks, Philippe Batailler. Closes: #402492.
    - As lynx is no longer installed, suggest w3m as text based browser.
    - Explain how to browse /usr/share/doc/ using a graphical web browser.
    - Mention documentation packages.
    - Clarify what happens on first boot and how to get help to in case of
      problems.
  * post-install:
    - Remove section on reactivating Windows; the installer should detect it
      automatically after all. Closes: #402437.
    - Add extended section on email configuration (moved from using-d-i as
      exim4 now configures for "local mail only" by default). Closes: #402857.
  * appendix/preseed:
    - Clarifications based on comments from Tapio Lehtonen and Holger Wansing.
      Closes: #397923.
  * appendix/chroot-install:
    - Changes suggested in review by Wiktor Wandachowicz. Closes: #394929.

  [ Frans Pop ]
  * Prepare for release. This release is mostly for testing purposes, the real
    release targeted at Etch will be next week.
  * Add and enable amd64 architecture.
  * Update control file for dropped m68k and added amd64 architectures.
  * Disable Catalan, Korean, Spanish and Brazillian translations as they are
    not yet complete.
  * Enable Finnish translation.

 -- Frans Pop <fjp@debian.org>  Mon, 15 Jan 2007 22:10:16 +0100

installation-guide (20060726) unstable; urgency=low

  [ Joey Hess ]
  * Update kernel building section to conditionalise some more 2.4 kernel
    stuff.
  * Suggest passing --initrd to make-kpkg since the docs say nothing about
    compiling disk drivers into the kernel.
  * Document new passwd/root-login setting.
  * Booting a USB stick via a boot floppy is not supported by current
    installer images.
  * Update preseeding docs to use task names, not short descriptions, since
    that will work now and is more convenient for preseeding.
  * Document the kde-desktop and gnome-desktop subtasks.

  [ Frans Pop ]
  * Various corrections suggested by Clytie Siddall.
  * chroot-install:
    - add /etc/hosts to be created for network configuration (closes: #364517)
    - make kernel/linux-image variable (closes: #345482)
  * Document -- command line option for passing parameters to boot loader
    configuration (closes: #309889).
  * Switch Finnish from XML-based to PO-based translation.
  * Bring numbering and layout of GPL more in line with original. With thanks
    to Holger Wansing.
  * Add functionality to include optional paragraphs in translations.
    Initially two have been defined:
    - a paragraph in bookinfo for information about the translation;
    - a note in appendix/gpl.xml required with unofficial GPL translations.

  [ Joey Hess ]
  * Document new preseed/run setting.
  * Prebaseconfig renamed to finish-install, which changes some documentation,
    and. notably, renames one of the xml files.
  * hd-media size changed to 256 mb.
  * Document new aliases added in preseed 1.17 for common debconf boot
    parameters: fb, url, file, locale, interface.

  [ Frans Pop ]
  * Document guided partitioning using LVM and update partitioning section.

  [ Martin Michlmayr ]
  * The RiscPC flavour is now known as "rpc" rather than "riscpc".
  * As of 2.6, r4k-ip22 also rupports r5k machines do the r5k-ip22 flavour
    has been dropped.

  [ Holger Levsen ]
  * Added the remaining suggestions about nubus and non-powerpc macs
    (closes: #364546).
  * Restructured the chapter about powerpc supported hardware, moved
    unsupported machines to the end.
  * Updated the information about existing kernel flavours.

  [ Miroslav Kure ]
  * Document installation to encrypted partitions (partman-crypto).
  * Update XOrg to 7.0.

  [ Frans Pop ]
  * Etch has been assigned version 4.0.
  * Update kernel versions to 2.6.16.
  * Base languages to be built for website on list of release languages.
  * arm, mips and mipsel switched to 2.6 kernels.
  * Enable Brazillian Portuguese and Vietnamese translation for release.
  * Disable Greek translation as it is too incomplete.

 -- Frans Pop <fjp@debian.org>  Wed, 26 Jul 2006 07:27:52 +0200

installation-guide (20060427) unstable; urgency=low

  [ Joey Hess ]
  * Update preseeding docs for base-config removal.
  * Add documentation of how to change apt-setup security source with
    preseeding.
  * Remove the sarge preseeding docs.
  * Remove mentions of base-config and move base-config stuff to elsewhere.
  * Add documentation of apt-setup, user-setup, clock-setup, tzsetup, and
    pkgsel.
  * Change some references to tty3 (messages) to instead refer to tty4
    (syslog).
  * Change references to /var/log/debian-installer to just /var/log/installer.
  * Remove docs for baseconfig-udeb; going away with base-config.
  * Removed various bits of sarge cruft when it made things easier.

  [ Frans Pop ]
  * Change default build to Etch.
  * Remove all Sarge specific content and make Etch specific content default.
  * Delete some obsolete entities.
  * Change references from package d-i-manual to package installation-guide.
  * Explicitly specify XML declaration as required by openjade 1.4devel1-15
    (closes: #360241).
  * Update appendix on chroot installs:
    - mention that debootstrap also requires basic Unix/Linux commands;
    - comment out link to outdated rpm packages of debootstrap.

  [ Colin Watson ]
  * Add a few more supports-floppy-boot and bootable-usb conditionals to
    make it easier to turn all this off in rebuilds of the manual.
  * Etch uses X.Org 6.9, and xserver-xorg instead of xserver-xfree86.
  * Document how to pick a particular interface with
    netcfg/choose_interface, including how to do this before reading a
    preseed file.
  * Remove obsolete substvar.
  * Build-depend on libhtml-parser-perl for build/preseed.pl.

  [ Joey Hess ]
  * Add docs about preseeding a fallback to a static IP if dhcp fails.
  * Update copyright date.
  * It's possible to use preseeding to set up LVM now, so remove stuff about
    it not working.
  * Document DHCP preseeding. Note that this documents it as of netcfg 1.24
    and preseed 1.13.

  [ Martin Michlmayr ]
  * Bring ARM up to date with reality: remove unsupported flavours, add
    NSLU2.
  * Fix Netwinder/CATS download location.
  * Improve the Netwinder TFTP boot instructions.
  * The Netwinder firmware is no longer available due to license problems.
  * Mention NSLU2 download location.
  * Describe how to flash the installer image onto the NSLU2.
  * Describe how to boot a Cobalt machine.

  [ Frans Pop ]
  * Document new option to preseed additional apt sources for target system.
  * Document how to create a preconfiguration file.
  * Enable Catalan, Italian and Swedish translations for release.
  * Disable Brazillian Portuguese translation as it is too incomplete.

 -- Frans Pop <fjp@debian.org>  Thu, 27 Apr 2006 03:00:32 +0200

installation-guide (20060102) unstable; urgency=low

  [ Frans Pop ]
  * Fix build error caused by description for s390. Closes: #337382.
  * Update kernel package names and kernel versions per architecture.
  * Move documentation on preseeding to separate appendix for etch.
  * Use new, more flexible perl script to extract example preseed file from
    new appendix.
  * Set proper POT-Creation-Date when generating new POT files.
  * New translations started: Polish, Swedish, Vietnamese.
  * First release of Greek and Korean translations.
  * Exclude Traditional Chinese translation as it was not updated.
  * Switch release name to Etch (3.1+δ).

  [ Joey Hess ]
  * Update installation report template and instructions for etch.

 -- Frans Pop <fjp@debian.org>  Mon,  2 Jan 2006 18:44:59 +0100

installation-guide (20051025) unstable; urgency=low

  * Mention in copyright that full GPL is included in the manual.
    Closes: #334925
  * Register installed documents with doc-base.
  * Minor updates in English text and translations.

 -- Frans Pop <fjp@debian.org>  Tue, 25 Oct 2005 17:37:25 +0200

installation-guide (20051019) unstable; urgency=low

  [ Joey Hess ]
  * Split off from the debian-installer source package.
    See the changelog for debian-installer for older changelog entries.

  [ Frans Pop ]
  * Change over to building arch all packages in section doc. Build separate
    packages for each arch containing all translations.
  * Change package name to installation-guide.
  * Include translations already available on official website.

 -- Frans Pop <fjp@debian.org>  Tue, 18 Oct 2005 17:12:35 +0200
